Package org.apache.sling.repoinit.parser.operations

# Class WithPathOptions

java.lang.Object
org.apache.sling.repoinit.parser.operations.WithPathOptions

public class WithPathOptions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`forcedPath`
`final String`
`path`

## Constructor Summary

Constructors
Constructor
Description
`WithPathOptions(String path, boolean forcedPath)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

public final String path

### forcedPath

public final boolean forcedPath

## Constructor Details

### WithPathOptions

public WithPathOptions(String path, boolean forcedPath)